IARRAY_SET_VALUE_NAME(3)

EXPERIMENTAL_FUNC
iarray_set_value_name - Change the data name of an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

void iarray_set_value_name

(iarray array, CONST char *name, flag new_alloc)

DESCRIPTION
Change the data name of an Intelligent Array.

array
    The Intelligent Array.

name
    The new data value name. If the is NULL, the programme will abort.

new_alloc
    If TRUE, the routine will allocate a new copy of the value name, else it will copy the pointer (in which case the name must never be externally deallocated or changed).

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/